/************************************************************************************************/
/*                                                                                              */
/*      <cyberHotel: Gestion Hotelera GPL>                                                      */
/*      Copyright (C) <2008> <davide05@gmail.com>                                               */
/*                                                                                              */
/*      This program is free software: you can redistribute it and/or modify                    */
/*      it under the terms of the GNU General Public License as published by                    */
/*      the Free Software Foundation, either version 3 of the License, or                       */
/*      (at your option) any later version.                                                     */
/*                                                                                              */
/*      This program is distributed in the hope that it will be useful,                         */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                    */ 
/*      See the GNU General Public License for more details.                                    */
/*                                                                                              */
/*      You should have received a copy of the GNU General Public License                       */
/*      along with this program.  If not, see <http://www.gnu.org/licenses/>.                   */
/*                                                                                              */
/************************************************************************************************/

package viewpatatera;

import java.util.List;

import gz.cyberbrain.cyberhotel.model.bank.to.BankTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;
import controllerpatatero.BankCreator;

public class BankManager {

	public BankManager(){}

	public static void main(String args[]) {

		Long bankId = new Long(1);
		String name = "Banco 1";
		String logo = "Logo moln";


		BankCreator rc = new BankCreator(bankId, name,logo);

		try {

			rc.createNewBank();

			bankId = new Long(1);
			name = "Banco 1 ACTUALIZADO";
			logo = "Logo Moln Actualiado";

			BankCreator rc2 = new BankCreator(bankId,name,logo);

			rc2.updateBank();




			List bancos = (List) rc.showBanks();

			for (int i=0; i < bancos.size(); i++) {

				BankTo banco = (BankTo) bancos.get(i);

				System.out.println();
				System.out.println("id: " + banco.getId() + " Nome: " + banco.getName() + " Logo: " + banco.getLogo());

			}

			rc2.deleteBank();

		} catch (InternalErrorException e) {
			e.printStackTrace();
		}

	}

}
